package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.StaffActiveDataDTO;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterpriseActiveData;

/**
 * @description: 通讯录数据总览内部service
 * @Author: wenhua
 * @Date: 2023/2/2 10:11
 */
public interface WxEnterpriseActiveDataService {

    /**
     * 通过wxEnterpriseId新增或者更新WxEnterpriseActiveData
     * @param wxEnterpriseId
     * @return
     */
    Integer saveOrUpdate(String wxEnterpriseId);

    StaffActiveDataDTO getWxEnterpriseActiveDataByWxEnterpriseId(String wxEnterpriseId);

    void updateByStaffActiveDataDTO(StaffActiveDataDTO dto);

    void insert(TabHaobanWxEnterpriseActiveData data);
}
